Summary: Lyrics plugin for XMMS
Name: xmms-singit
Version: 0.1.14
Release: alt2.1

Packager: Konstantin Volckov <goldhead@altlinux.ru>

Group: Sound
Url: http://stud.vas.fh-darmstadt.de/glogowski/
Source: %name-%version.tar.bz2
Patch0: xmms-singit-configure.patch
Patch1: xmms-singit-0.1.14-id3.patch
License: GPL
Requires: xmms >= 1.2.0
BuildPreReq: xmms-devel >= 1.2.0 id3lib >= 3.8.1-alt2

# Automatically added by buildreq on Tue Nov 19 2002
BuildRequires: XFree86-devel XFree86-libs glib-devel glibc-devel-static gtk+-devel id3lib-devel libGLU-devel libxmms-devel zlib-devel

%description
This XMMS plugin displays formatted lyrics. It was mainly inspired by
a Winamp (tm) plugin called "Kuo's Lyrics Visualization Plugin" by
Kuo Shiang-Shiang.

%package devel
Summary: Devel files for Lyrics plugin for XMMS
Group: Sound
Requires: %name = %version

%description devel
This XMMS plugin displays formatted lyrics. It was mainly inspired by
a Winamp (tm) plugin called "Kuo's Lyrics Visualization Plugin" by
Kuo Shiang-Shiang.

This package contains devel files for plugin.

%prep
%setup -q -n %name-%version
%patch0 -p1
%patch1 -p1

%set_autoconf_version 2.13
%set_automake_version 1.4

%build
automake
%configure --enable-one-plugin-dir --enable-opengl
%make_build

%install
make DESTDIR=$RPM_BUILD_ROOT install

%find_lang %name

%files -f %name.lang
%_libdir/xmms/Visualization/xmms-singit/*.so
%_libdir/xmms/Visualization/*.so

%files devel
%_libdir/xmms/Visualization/xmms-singit/*.la
%_libdir/xmms/Visualization/*.la
%_includedir/xmms/*

%changelog
* Fri Jan 31 2003 Stanislav Ievlev <inger@altlinux.ru> 0.1.14-alt2.1
- rebuild with new id3lib

* Fri Nov 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.1.14-alt2
- Rebuilt in new environment
- Some spec cleanup
- Added buildrequires
- Added patch for compatibility with new id3lib

* Thu Jun 27 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.1.14-alt1
- New version

* Thu Feb 22 2001 Kostya Timoshenko <kt@petr.kz> 0.1.10-ipl1mdk
- build for RE

* Fri Feb 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.10-1mdk
- updated to 0.1.10

* Sun Jan 21 2001 Pixel <pixel@mandrakesoft.com> 0.1.8-1mdk
- new version
- update the patch

* Tue Dec 19 2000 Pixel <pixel@mandrakesoft.com> 0.1.6-1mdk
- new version
- add timeshift feature
- include a patch for big fonts, but not applied. Included if someone (me? :) wants it...

* Fri Sep 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-1mdk
- used srpm from :

*Mon Sep 25 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
- v0.1.0-1mdk
- bz2 archive
